Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.camt_052_001_02 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.camt_052_001_02

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentification4Choice` `createAccountIdentification4Choice()` Create an instance of `AccountIdentification4Choice`
`AccountInterest2` `createAccountInterest2()` Create an instance of `AccountInterest2`
`AccountReport11` `createAccountReport11()` Create an instance of `AccountReport11`
`AccountSchemeName1Choice` `createAccountSchemeName1Choice()` Create an instance of `AccountSchemeName1Choice`
`ActiveOrHistoricCurrencyAndAmount` `createActiveOrHistoricCurrencyAndAmount()` Create an instance of `ActiveOrHistoricCurrencyAndAmount`
`AlternateSecurityIdentification2` `createAlternateSecurityIdentification2()` Create an instance of `AlternateSecurityIdentification2`
`AmountAndCurrencyExchange3` `createAmountAndCurrencyExchange3()` Create an instance of `AmountAndCurrencyExchange3`
`AmountAndCurrencyExchangeDetails3` `createAmountAndCurrencyExchangeDetails3()` Create an instance of `AmountAndCurrencyExchangeDetails3`
`AmountAndCurrencyExchangeDetails4` `createAmountAndCurrencyExchangeDetails4()` Create an instance of `AmountAndCurrencyExchangeDetails4`
`AmountRangeBoundary1` `createAmountRangeBoundary1()` Create an instance of `AmountRangeBoundary1`
`BalanceSubType1Choice` `createBalanceSubType1Choice()` Create an instance of `BalanceSubType1Choice`
`BalanceType12` `createBalanceType12()` Create an instance of `BalanceType12`
`BalanceType5Choice` `createBalanceType5Choice()` Create an instance of `BalanceType5Choice`
`BankToCustomerAccountReportV02` `createBankToCustomerAccountReportV02()` Create an instance of `BankToCustomerAccountReportV02`
`BankTransactionCodeStructure4` `createBankTransactionCodeStructure4()` Create an instance of `BankTransactionCodeStructure4`
`BankTransactionCodeStructure5` `createBankTransactionCodeStructure5()` Create an instance of `BankTransactionCodeStructure5`
`BankTransactionCodeStructure6` `createBankTransactionCodeStructure6()` Create an instance of `BankTransactionCodeStructure6`
`BatchInformation2` `createBatchInformation2()` Create an instance of `BatchInformation2`
`BranchAndFinancialInstitutionIdentification4` `createBranchAndFinancialInstitutionIdentification4()` Create an instance of `BranchAndFinancialInstitutionIdentification4`
`BranchData2` `createBranchData2()` Create an instance of `BranchData2`
`CashAccount16` `createCashAccount16()` Create an instance of `CashAccount16`
`CashAccount20` `createCashAccount20()` Create an instance of `CashAccount20`
`CashAccountType2` `createCashAccountType2()` Create an instance of `CashAccountType2`
`CashBalance3` `createCashBalance3()` Create an instance of `CashBalance3`
`CashBalanceAvailability2` `createCashBalanceAvailability2()` Create an instance of `CashBalanceAvailability2`
`CashBalanceAvailabilityDate1` `createCashBalanceAvailabilityDate1()` Create an instance of `CashBalanceAvailabilityDate1`
`ChargesInformation6` `createChargesInformation6()` Create an instance of `ChargesInformation6`
`ChargeType2Choice` `createChargeType2Choice()` Create an instance of `ChargeType2Choice`
`ClearingSystemIdentification2Choice` `createClearingSystemIdentification2Choice()` Create an instance of `ClearingSystemIdentification2Choice`
`ClearingSystemMemberIdentification2` `createClearingSystemMemberIdentification2()` Create an instance of `ClearingSystemMemberIdentification2`
`ContactDetails2` `createContactDetails2()` Create an instance of `ContactDetails2`
`CorporateAction1` `createCorporateAction1()` Create an instance of `CorporateAction1`
`CreditLine2` `createCreditLine2()` Create an instance of `CreditLine2`
`CreditorReferenceInformation2` `createCreditorReferenceInformation2()` Create an instance of `CreditorReferenceInformation2`
`CreditorReferenceType1Choice` `createCreditorReferenceType1Choice()` Create an instance of `CreditorReferenceType1Choice`
`CreditorReferenceType2` `createCreditorReferenceType2()` Create an instance of `CreditorReferenceType2`
`CurrencyAndAmountRange2` `createCurrencyAndAmountRange2()` Create an instance of `CurrencyAndAmountRange2`
`CurrencyExchange5` `createCurrencyExchange5()` Create an instance of `CurrencyExchange5`
`DateAndDateTimeChoice` `createDateAndDateTimeChoice()` Create an instance of `DateAndDateTimeChoice`
`DateAndPlaceOfBirth` `createDateAndPlaceOfBirth()` Create an instance of `DateAndPlaceOfBirth`
`DatePeriodDetails` `createDatePeriodDetails()` Create an instance of `DatePeriodDetails`
`DateTimePeriodDetails` `createDateTimePeriodDetails()` Create an instance of `DateTimePeriodDetails`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`DocumentAdjustment1` `createDocumentAdjustment1()` Create an instance of `DocumentAdjustment1`
`EntryDetails1` `createEntryDetails1()` Create an instance of `EntryDetails1`
`EntryTransaction2` `createEntryTransaction2()` Create an instance of `EntryTransaction2`
`FinancialIdentificationSchemeName1Choice` `createFinancialIdentificationSchemeName1Choice()` Create an instance of `FinancialIdentificationSchemeName1Choice`
`FinancialInstitutionIdentification7` `createFinancialInstitutionIdentification7()` Create an instance of `FinancialInstitutionIdentification7`
`FinancialInstrumentQuantityChoice` `createFinancialInstrumentQuantityChoice()` Create an instance of `FinancialInstrumentQuantityChoice`
`FromToAmountRange` `createFromToAmountRange()` Create an instance of `FromToAmountRange`
`GenericAccountIdentification1` `createGenericAccountIdentification1()` Create an instance of `GenericAccountIdentification1`
`GenericFinancialIdentification1` `createGenericFinancialIdentification1()` Create an instance of `GenericFinancialIdentification1`
`GenericIdentification3` `createGenericIdentification3()` Create an instance of `GenericIdentification3`
`GenericOrganisationIdentification1` `createGenericOrganisationIdentification1()` Create an instance of `GenericOrganisationIdentification1`
`GenericPersonIdentification1` `createGenericPersonIdentification1()` Create an instance of `GenericPersonIdentification1`
`GroupHeader42` `createGroupHeader42()` Create an instance of `GroupHeader42`
`ImpliedCurrencyAmountRangeChoice` `createImpliedCurrencyAmountRangeChoice()` Create an instance of `ImpliedCurrencyAmountRangeChoice`
`InterestType1Choice` `createInterestType1Choice()` Create an instance of `InterestType1Choice`
`MessageIdentification2` `createMessageIdentification2()` Create an instance of `MessageIdentification2`
`NameAndAddress10` `createNameAndAddress10()` Create an instance of `NameAndAddress10`
`NumberAndSumOfTransactions1` `createNumberAndSumOfTransactions1()` Create an instance of `NumberAndSumOfTransactions1`
`NumberAndSumOfTransactions2` `createNumberAndSumOfTransactions2()` Create an instance of `NumberAndSumOfTransactions2`
`OrganisationIdentification4` `createOrganisationIdentification4()` Create an instance of `OrganisationIdentification4`
`OrganisationIdentificationSchemeName1Choice` `createOrganisationIdentificationSchemeName1Choice()` Create an instance of `OrganisationIdentificationSchemeName1Choice`
`Pagination` `createPagination()` Create an instance of `Pagination`
`Party6Choice` `createParty6Choice()` Create an instance of `Party6Choice`
`PartyIdentification32` `createPartyIdentification32()` Create an instance of `PartyIdentification32`
`PersonIdentification5` `createPersonIdentification5()` Create an instance of `PersonIdentification5`
`PersonIdentificationSchemeName1Choice` `createPersonIdentificationSchemeName1Choice()` Create an instance of `PersonIdentificationSchemeName1Choice`
`PostalAddress6` `createPostalAddress6()` Create an instance of `PostalAddress6`
`ProprietaryAgent2` `createProprietaryAgent2()` Create an instance of `ProprietaryAgent2`
`ProprietaryBankTransactionCodeStructure1` `createProprietaryBankTransactionCodeStructure1()` Create an instance of `ProprietaryBankTransactionCodeStructure1`
`ProprietaryDate2` `createProprietaryDate2()` Create an instance of `ProprietaryDate2`
`ProprietaryParty2` `createProprietaryParty2()` Create an instance of `ProprietaryParty2`
`ProprietaryPrice2` `createProprietaryPrice2()` Create an instance of `ProprietaryPrice2`
`ProprietaryQuantity1` `createProprietaryQuantity1()` Create an instance of `ProprietaryQuantity1`
`ProprietaryReference1` `createProprietaryReference1()` Create an instance of `ProprietaryReference1`
`Purpose2Choice` `createPurpose2Choice()` Create an instance of `Purpose2Choice`
`Rate3` `createRate3()` Create an instance of `Rate3`
`RateType4Choice` `createRateType4Choice()` Create an instance of `RateType4Choice`
`ReferredDocumentInformation3` `createReferredDocumentInformation3()` Create an instance of `ReferredDocumentInformation3`
`ReferredDocumentType1Choice` `createReferredDocumentType1Choice()` Create an instance of `ReferredDocumentType1Choice`
`ReferredDocumentType2` `createReferredDocumentType2()` Create an instance of `ReferredDocumentType2`
`RemittanceAmount1` `createRemittanceAmount1()` Create an instance of `RemittanceAmount1`
`RemittanceInformation5` `createRemittanceInformation5()` Create an instance of `RemittanceInformation5`
`RemittanceLocation2` `createRemittanceLocation2()` Create an instance of `RemittanceLocation2`
`ReportEntry2` `createReportEntry2()` Create an instance of `ReportEntry2`
`ReportingSource1Choice` `createReportingSource1Choice()` Create an instance of `ReportingSource1Choice`
`ReturnReason5Choice` `createReturnReason5Choice()` Create an instance of `ReturnReason5Choice`
`ReturnReasonInformation10` `createReturnReasonInformation10()` Create an instance of `ReturnReasonInformation10`
`SecurityIdentification4Choice` `createSecurityIdentification4Choice()` Create an instance of `SecurityIdentification4Choice`
`StructuredRemittanceInformation7` `createStructuredRemittanceInformation7()` Create an instance of `StructuredRemittanceInformation7`
`TaxAmount1` `createTaxAmount1()` Create an instance of `TaxAmount1`
`TaxAuthorisation1` `createTaxAuthorisation1()` Create an instance of `TaxAuthorisation1`
`TaxCharges2` `createTaxCharges2()` Create an instance of `TaxCharges2`
`TaxInformation3` `createTaxInformation3()` Create an instance of `TaxInformation3`
`TaxParty1` `createTaxParty1()` Create an instance of `TaxParty1`
`TaxParty2` `createTaxParty2()` Create an instance of `TaxParty2`
`TaxPeriod1` `createTaxPeriod1()` Create an instance of `TaxPeriod1`
`TaxRecord1` `createTaxRecord1()` Create an instance of `TaxRecord1`
`TaxRecordDetails1` `createTaxRecordDetails1()` Create an instance of `TaxRecordDetails1`
`TechnicalInputChannel1Choice` `createTechnicalInputChannel1Choice()` Create an instance of `TechnicalInputChannel1Choice`
`TotalsPerBankTransactionCode2` `createTotalsPerBankTransactionCode2()` Create an instance of `TotalsPerBankTransactionCode2`
`TotalTransactions2` `createTotalTransactions2()` Create an instance of `TotalTransactions2`
`TransactionAgents2` `createTransactionAgents2()` Create an instance of `TransactionAgents2`
`TransactionDates2` `createTransactionDates2()` Create an instance of `TransactionDates2`
`TransactionInterest2` `createTransactionInterest2()` Create an instance of `TransactionInterest2`
`TransactionParty2` `createTransactionParty2()` Create an instance of `TransactionParty2`
`TransactionPrice2Choice` `createTransactionPrice2Choice()` Create an instance of `TransactionPrice2Choice`
`TransactionQuantities1Choice` `createTransactionQuantities1Choice()` Create an instance of `TransactionQuantities1Choice`
`TransactionReferences2` `createTransactionReferences2()` Create an instance of `TransactionReferences2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.camt_052_001_02

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentification4Choice

    public AccountIdentification4Choice createAccountIdentification4Choice()

Create an instance of `AccountIdentification4Choice`

#### createAccountInterest2

    public AccountInterest2 createAccountInterest2()

Create an instance of `AccountInterest2`

#### createAccountReport11

    public AccountReport11 createAccountReport11()

Create an instance of `AccountReport11`

#### createAccountSchemeName1Choice

    public AccountSchemeName1Choice createAccountSchemeName1Choice()

Create an instance of `AccountSchemeName1Choice`

#### createActiveOrHistoricCurrencyAndAmount

    public ActiveOrHistoricCurrencyAndAmount createActiveOrHistoricCurrencyAndAmount()

Create an instance of `ActiveOrHistoricCurrencyAndAmount`

#### createAlternateSecurityIdentification2

    public AlternateSecurityIdentification2 createAlternateSecurityIdentification2()

Create an instance of `AlternateSecurityIdentification2`

#### createAmountAndCurrencyExchange3

    public AmountAndCurrencyExchange3 createAmountAndCurrencyExchange3()

Create an instance of `AmountAndCurrencyExchange3`

#### createAmountAndCurrencyExchangeDetails3

    public AmountAndCurrencyExchangeDetails3 createAmountAndCurrencyExchangeDetails3()

Create an instance of `AmountAndCurrencyExchangeDetails3`

#### createAmountAndCurrencyExchangeDetails4

    public AmountAndCurrencyExchangeDetails4 createAmountAndCurrencyExchangeDetails4()

Create an instance of `AmountAndCurrencyExchangeDetails4`

#### createAmountRangeBoundary1

    public AmountRangeBoundary1 createAmountRangeBoundary1()

Create an instance of `AmountRangeBoundary1`

#### createBalanceSubType1Choice

    public BalanceSubType1Choice createBalanceSubType1Choice()

Create an instance of `BalanceSubType1Choice`

#### createBalanceType12

    public BalanceType12 createBalanceType12()

Create an instance of `BalanceType12`

#### createBalanceType5Choice

    public BalanceType5Choice createBalanceType5Choice()

Create an instance of `BalanceType5Choice`

#### createBankToCustomerAccountReportV02

    public BankToCustomerAccountReportV02 createBankToCustomerAccountReportV02()

Create an instance of `BankToCustomerAccountReportV02`

#### createBankTransactionCodeStructure4

    public BankTransactionCodeStructure4 createBankTransactionCodeStructure4()

Create an instance of `BankTransactionCodeStructure4`

#### createBankTransactionCodeStructure5

    public BankTransactionCodeStructure5 createBankTransactionCodeStructure5()

Create an instance of `BankTransactionCodeStructure5`

#### createBankTransactionCodeStructure6

    public BankTransactionCodeStructure6 createBankTransactionCodeStructure6()

Create an instance of `BankTransactionCodeStructure6`

#### createBatchInformation2

    public BatchInformation2 createBatchInformation2()

Create an instance of `BatchInformation2`

#### createBranchAndFinancialInstitutionIdentification4

    public BranchAndFinancialInstitutionIdentification4 createBranchAndFinancialInstitutionIdentification4()

Create an instance of `BranchAndFinancialInstitutionIdentification4`

#### createBranchData2

    public BranchData2 createBranchData2()

Create an instance of `BranchData2`

#### createCashAccount16

    public CashAccount16 createCashAccount16()

Create an instance of `CashAccount16`

#### createCashAccount20

    public CashAccount20 createCashAccount20()

Create an instance of `CashAccount20`

#### createCashAccountType2

    public CashAccountType2 createCashAccountType2()

Create an instance of `CashAccountType2`

#### createCashBalance3

    public CashBalance3 createCashBalance3()

Create an instance of `CashBalance3`

#### createCashBalanceAvailability2

    public CashBalanceAvailability2 createCashBalanceAvailability2()

Create an instance of `CashBalanceAvailability2`

#### createCashBalanceAvailabilityDate1

    public CashBalanceAvailabilityDate1 createCashBalanceAvailabilityDate1()

Create an instance of `CashBalanceAvailabilityDate1`

#### createChargeType2Choice

    public ChargeType2Choice createChargeType2Choice()

Create an instance of `ChargeType2Choice`

#### createChargesInformation6

    public ChargesInformation6 createChargesInformation6()

Create an instance of `ChargesInformation6`

#### createClearingSystemIdentification2Choice

    public ClearingSystemIdentification2Choice createClearingSystemIdentification2Choice()

Create an instance of `ClearingSystemIdentification2Choice`

#### createClearingSystemMemberIdentification2

    public ClearingSystemMemberIdentification2 createClearingSystemMemberIdentification2()

Create an instance of `ClearingSystemMemberIdentification2`

#### createContactDetails2

    public ContactDetails2 createContactDetails2()

Create an instance of `ContactDetails2`

#### createCorporateAction1

    public CorporateAction1 createCorporateAction1()

Create an instance of `CorporateAction1`

#### createCreditLine2

    public CreditLine2 createCreditLine2()

Create an instance of `CreditLine2`

#### createCreditorReferenceInformation2

    public CreditorReferenceInformation2 createCreditorReferenceInformation2()

Create an instance of `CreditorReferenceInformation2`

#### createCreditorReferenceType1Choice

    public CreditorReferenceType1Choice createCreditorReferenceType1Choice()

Create an instance of `CreditorReferenceType1Choice`

#### createCreditorReferenceType2

    public CreditorReferenceType2 createCreditorReferenceType2()

Create an instance of `CreditorReferenceType2`

#### createCurrencyAndAmountRange2

    public CurrencyAndAmountRange2 createCurrencyAndAmountRange2()

Create an instance of `CurrencyAndAmountRange2`

#### createCurrencyExchange5

    public CurrencyExchange5 createCurrencyExchange5()

Create an instance of `CurrencyExchange5`

#### createDateAndDateTimeChoice

    public DateAndDateTimeChoice createDateAndDateTimeChoice()

Create an instance of `DateAndDateTimeChoice`

#### createDateAndPlaceOfBirth

    public DateAndPlaceOfBirth createDateAndPlaceOfBirth()

Create an instance of `DateAndPlaceOfBirth`

#### createDatePeriodDetails

    public DatePeriodDetails createDatePeriodDetails()

Create an instance of `DatePeriodDetails`

#### createDateTimePeriodDetails

    public DateTimePeriodDetails createDateTimePeriodDetails()

Create an instance of `DateTimePeriodDetails`

#### createDocumentAdjustment1

    public DocumentAdjustment1 createDocumentAdjustment1()

Create an instance of `DocumentAdjustment1`

#### createEntryDetails1

    public EntryDetails1 createEntryDetails1()

Create an instance of `EntryDetails1`

#### createEntryTransaction2

    public EntryTransaction2 createEntryTransaction2()

Create an instance of `EntryTransaction2`

#### createFinancialIdentificationSchemeName1Choice

    public FinancialIdentificationSchemeName1Choice createFinancialIdentificationSchemeName1Choice()

Create an instance of `FinancialIdentificationSchemeName1Choice`

#### createFinancialInstitutionIdentification7

    public FinancialInstitutionIdentification7 createFinancialInstitutionIdentification7()

Create an instance of `FinancialInstitutionIdentification7`

#### createFinancialInstrumentQuantityChoice

    public FinancialInstrumentQuantityChoice createFinancialInstrumentQuantityChoice()

Create an instance of `FinancialInstrumentQuantityChoice`

#### createFromToAmountRange

    public FromToAmountRange createFromToAmountRange()

Create an instance of `FromToAmountRange`

#### createGenericAccountIdentification1

    public GenericAccountIdentification1 createGenericAccountIdentification1()

Create an instance of `GenericAccountIdentification1`

#### createGenericFinancialIdentification1

    public GenericFinancialIdentification1 createGenericFinancialIdentification1()

Create an instance of `GenericFinancialIdentification1`

#### createGenericIdentification3

    public GenericIdentification3 createGenericIdentification3()

Create an instance of `GenericIdentification3`

#### createGenericOrganisationIdentification1

    public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()

Create an instance of `GenericOrganisationIdentification1`

#### createGenericPersonIdentification1

    public GenericPersonIdentification1 createGenericPersonIdentification1()

Create an instance of `GenericPersonIdentification1`

#### createGroupHeader42

    public GroupHeader42 createGroupHeader42()

Create an instance of `GroupHeader42`

#### createImpliedCurrencyAmountRangeChoice

    public ImpliedCurrencyAmountRangeChoice createImpliedCurrencyAmountRangeChoice()

Create an instance of `ImpliedCurrencyAmountRangeChoice`

#### createInterestType1Choice

    public InterestType1Choice createInterestType1Choice()

Create an instance of `InterestType1Choice`

#### createMessageIdentification2

    public MessageIdentification2 createMessageIdentification2()

Create an instance of `MessageIdentification2`

#### createNameAndAddress10

    public NameAndAddress10 createNameAndAddress10()

Create an instance of `NameAndAddress10`

#### createNumberAndSumOfTransactions1

    public NumberAndSumOfTransactions1 createNumberAndSumOfTransactions1()

Create an instance of `NumberAndSumOfTransactions1`

#### createNumberAndSumOfTransactions2

    public NumberAndSumOfTransactions2 createNumberAndSumOfTransactions2()

Create an instance of `NumberAndSumOfTransactions2`

#### createOrganisationIdentification4

    public OrganisationIdentification4 createOrganisationIdentification4()

Create an instance of `OrganisationIdentification4`

#### createOrganisationIdentificationSchemeName1Choice

    public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()

Create an instance of `OrganisationIdentificationSchemeName1Choice`

#### createPagination

    public Pagination createPagination()

Create an instance of `Pagination`

#### createParty6Choice

    public Party6Choice createParty6Choice()

Create an instance of `Party6Choice`

#### createPartyIdentification32

    public PartyIdentification32 createPartyIdentification32()

Create an instance of `PartyIdentification32`

#### createPersonIdentification5

    public PersonIdentification5 createPersonIdentification5()

Create an instance of `PersonIdentification5`

#### createPersonIdentificationSchemeName1Choice

    public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()

Create an instance of `PersonIdentificationSchemeName1Choice`

#### createPostalAddress6

    public PostalAddress6 createPostalAddress6()

Create an instance of `PostalAddress6`

#### createProprietaryAgent2

    public ProprietaryAgent2 createProprietaryAgent2()

Create an instance of `ProprietaryAgent2`

#### createProprietaryBankTransactionCodeStructure1

    public ProprietaryBankTransactionCodeStructure1 createProprietaryBankTransactionCodeStructure1()

Create an instance of `ProprietaryBankTransactionCodeStructure1`

#### createProprietaryDate2

    public ProprietaryDate2 createProprietaryDate2()

Create an instance of `ProprietaryDate2`

#### createProprietaryParty2

    public ProprietaryParty2 createProprietaryParty2()

Create an instance of `ProprietaryParty2`

#### createProprietaryPrice2

    public ProprietaryPrice2 createProprietaryPrice2()

Create an instance of `ProprietaryPrice2`

#### createProprietaryQuantity1

    public ProprietaryQuantity1 createProprietaryQuantity1()

Create an instance of `ProprietaryQuantity1`

#### createProprietaryReference1

    public ProprietaryReference1 createProprietaryReference1()

Create an instance of `ProprietaryReference1`

#### createPurpose2Choice

    public Purpose2Choice createPurpose2Choice()

Create an instance of `Purpose2Choice`

#### createRate3

    public Rate3 createRate3()

Create an instance of `Rate3`

#### createRateType4Choice

    public RateType4Choice createRateType4Choice()

Create an instance of `RateType4Choice`

#### createReferredDocumentInformation3

    public ReferredDocumentInformation3 createReferredDocumentInformation3()

Create an instance of `ReferredDocumentInformation3`

#### createReferredDocumentType1Choice

    public ReferredDocumentType1Choice createReferredDocumentType1Choice()

Create an instance of `ReferredDocumentType1Choice`

#### createReferredDocumentType2

    public ReferredDocumentType2 createReferredDocumentType2()

Create an instance of `ReferredDocumentType2`

#### createRemittanceAmount1

    public RemittanceAmount1 createRemittanceAmount1()

Create an instance of `RemittanceAmount1`

#### createRemittanceInformation5

    public RemittanceInformation5 createRemittanceInformation5()

Create an instance of `RemittanceInformation5`

#### createRemittanceLocation2

    public RemittanceLocation2 createRemittanceLocation2()

Create an instance of `RemittanceLocation2`

#### createReportEntry2

    public ReportEntry2 createReportEntry2()

Create an instance of `ReportEntry2`

#### createReportingSource1Choice

    public ReportingSource1Choice createReportingSource1Choice()

Create an instance of `ReportingSource1Choice`

#### createReturnReason5Choice

    public ReturnReason5Choice createReturnReason5Choice()

Create an instance of `ReturnReason5Choice`

#### createReturnReasonInformation10

    public ReturnReasonInformation10 createReturnReasonInformation10()

Create an instance of `ReturnReasonInformation10`

#### createSecurityIdentification4Choice

    public SecurityIdentification4Choice createSecurityIdentification4Choice()

Create an instance of `SecurityIdentification4Choice`

#### createStructuredRemittanceInformation7

    public StructuredRemittanceInformation7 createStructuredRemittanceInformation7()

Create an instance of `StructuredRemittanceInformation7`

#### createTaxAmount1

    public TaxAmount1 createTaxAmount1()

Create an instance of `TaxAmount1`

#### createTaxAuthorisation1

    public TaxAuthorisation1 createTaxAuthorisation1()

Create an instance of `TaxAuthorisation1`

#### createTaxCharges2

    public TaxCharges2 createTaxCharges2()

Create an instance of `TaxCharges2`

#### createTaxInformation3

    public TaxInformation3 createTaxInformation3()

Create an instance of `TaxInformation3`

#### createTaxParty1

    public TaxParty1 createTaxParty1()

Create an instance of `TaxParty1`

#### createTaxParty2

    public TaxParty2 createTaxParty2()

Create an instance of `TaxParty2`

#### createTaxPeriod1

    public TaxPeriod1 createTaxPeriod1()

Create an instance of `TaxPeriod1`

#### createTaxRecord1

    public TaxRecord1 createTaxRecord1()

Create an instance of `TaxRecord1`

#### createTaxRecordDetails1

    public TaxRecordDetails1 createTaxRecordDetails1()

Create an instance of `TaxRecordDetails1`

#### createTechnicalInputChannel1Choice

    public TechnicalInputChannel1Choice createTechnicalInputChannel1Choice()

Create an instance of `TechnicalInputChannel1Choice`

#### createTotalTransactions2

    public TotalTransactions2 createTotalTransactions2()

Create an instance of `TotalTransactions2`

#### createTotalsPerBankTransactionCode2

    public TotalsPerBankTransactionCode2 createTotalsPerBankTransactionCode2()

Create an instance of `TotalsPerBankTransactionCode2`

#### createTransactionAgents2

    public TransactionAgents2 createTransactionAgents2()

Create an instance of `TransactionAgents2`

#### createTransactionDates2

    public TransactionDates2 createTransactionDates2()

Create an instance of `TransactionDates2`

#### createTransactionInterest2

    public TransactionInterest2 createTransactionInterest2()

Create an instance of `TransactionInterest2`

#### createTransactionParty2

    public TransactionParty2 createTransactionParty2()

Create an instance of `TransactionParty2`

#### createTransactionPrice2Choice

    public TransactionPrice2Choice createTransactionPrice2Choice()

Create an instance of `TransactionPrice2Choice`

#### createTransactionQuantities1Choice

    public TransactionQuantities1Choice createTransactionQuantities1Choice()

Create an instance of `TransactionQuantities1Choice`

#### createTransactionReferences2

    public TransactionReferences2 createTransactionReferences2()

Create an instance of `TransactionReferences2`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`